#include <QtGui/QFileDialog>

#include "QMyWindow.h"

QMyWindow::QMyWindow(QWidget *parent): QMainWindow(parent) 
{
	m_ui.setupUi(this);

	connect( m_ui.actionExit, SIGNAL(triggered()), SLOT(quitApp()) );

	connect( m_ui.fasterPushButton, SIGNAL(clicked()), 
		m_ui.glwidget, SLOT(slotTextureFaster()) );
	connect( m_ui.slowerPushButton, SIGNAL(clicked()), 
		m_ui.glwidget, SLOT(slotTextureSlower()) );

	connect( m_ui.nearestRadioButton, SIGNAL(toggled(bool)), 
		m_ui.glwidget, SLOT(slotTexFilterNearest(bool)) );
	connect( m_ui.linearRadioButton, SIGNAL(toggled(bool)), 
		m_ui.glwidget, SLOT(slotTexFilterLinear(bool)) );
	connect( m_ui.mipmapRadioButton, SIGNAL(toggled(bool)), 
		m_ui.glwidget, SLOT(slotTexFilterMipMap(bool)) );
}  

void QMyWindow::init()
{
	m_ui.nearestRadioButton->setChecked(true);
}

void QMyWindow::quitApp() 
{ 
	emit signalQuitApp(); 
}

