#ifndef CG_RENDERAREA_H
#define CG_RENDERAREA_H

#include <vector>
#include <iostream>

#include <QtOpenGL/QGLWidget>
#include <QtGui/QImage>
#include <QtCore/QTimer>

using namespace std;

class GLwidget : public QGLWidget 
{
    Q_OBJECT

public:            

    GLwidget(QWidget *parent = 0, QGLFormat format = QGLFormat());
	~GLwidget();
    
public slots:        
	void slotTextureFaster();
	void slotTextureSlower();
	void slotTexFilterNearest(bool b);
	void slotTexFilterLinear(bool b);
	void slotTexFilterMipMap(bool b);

protected:
    
    void initializeGL();
    void resizeGL(int w, int h);
    void paintGL();
 
	void generateTexture();

	// member variables
	GLuint		m_texId;
	GLubyte		m_pixels[16][16][3];

	QTimer		*m_timer;

};

#endif
